# Nix Flake outputs size

Use `nix path-info` to query the size of flake outputs and produce a report.

This repost can be posted to a PR (as formatted markdown) and/or uploaded as a workflow artifact.

Requires `nix`, `jq`, `curl`, `sed`, `gunzip`, `tar` and `coreutils` to be in the runner's path.

## Example

```yaml
- name: Generate size report
  uses: https://git.salame.cl/jalil/nix-flake-outputs-size@main
  with: # Default values
    comment-on-pr: 'true'
    generate-artifact: 'false'
    artifact-name: 'size-report.md'
    # If you want to enable comparisons set this to true
    do-comparison: 'false'
    job-name: '' # required if do-comparison is true
    # This is the branch that will be compared against
    base-branch: ${{ github.base_ref }} # or default branch if missing
```

For more details see the [action.yaml](./action.yml) file.
